#!/bin/bash
TARGET="main"
SUCCESS=0                      
word="pmxmtx,musixtex"
filename="/usr/local/texlive/texmf-local/kc2007addon.file"

grep -q "$word" "$filename"    # "-q" 옵션은 표준출력으로 아무것도 에코하지 않습니다.

if [ $? -eq $SUCCESS ]
then
  echo "이미 $word kc2007addon이 설치되어있습니다." 
else
  lynx -dump http://ftp.ktug.or.kr/~karnes/PRIVATE/musixtex-addon.tar.gz | ( cd /usr/local/texlive; sudo tar xvfz -);
  lynx -dump http://ftp.ktug.or.kr/~karnes/PRIVATE/musixtex-addon-bin.tar.gz | ( cd /usr/local; sudo tar xvfz -);
  sudo mktexlsr;
  sudo echo "pmxmtx,musixtex,package,version,install" >> "$filename"  		
fi

PS3='어떠한 engine을 이용하십겠습니까?:(1) ' # 프롬프트 문자열 세트.

echo

select engine in "latex" "pdflatex"
do
  if [ "$engine" == "latex" ]
  then	
	rm *.mx?
	latex $TARGET
	latex $TARGET
	musixflx $TARGET
	latex $TARGET
	dvipdfmx $TARGET
	rm $TARGET.out $TARGET.log $TARGET.dvi $TARGET.mx? $TARGET.aux
 	break  # 여기에 'break'가 없으면 무한 루프를 돕니다.
  else
	echo "pdflatex는 지원하지 않습니다"
	break	
  fi	
done

exit 0
